package com.diagbot.repository;

import com.diagbot.dto.BillNeoDTO;
import com.diagbot.dto.DrugBillNeoDTO;
import com.diagbot.dto.DrugInfoDTO;
import com.diagbot.dto.HighRiskNeoDTO;
import com.diagbot.entity.node.MedRegName;
import com.diagbot.entity.node.Medicine;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class MedRegNameNode {

    /**
     * 获取高危药品数据
     */
    public List<HighRiskNeoDTO> getHighRiskDrug(Map<String, String> drugsterm, MedRegNameRepository medRegNameRepository) {
        List<HighRiskNeoDTO> highRiskNeoDTOS = new ArrayList<>();
        HighRiskNeoDTO highRiskNeoDTO;
        String drugname;
        List<MedRegName> medicine;
        MedRegName med;

        for (String term : drugsterm.keySet()) {
            highRiskNeoDTO = new HighRiskNeoDTO();

            drugname = drugsterm.get(term);
            highRiskNeoDTO.setName(term);
            highRiskNeoDTO.setStandname(drugname);

            medicine = medRegNameRepository.findByNameIs(drugname);

            if (null != medicine && medicine.size()>0) {
                med = medicine.get(0);

                if (null!=med.getRisklevel() && med.getRisklevel().trim().length()>0) {
                    highRiskNeoDTO.setIsHighrisk(true);
                    highRiskNeoDTO.setType(Constants.medicine);
                    highRiskNeoDTOS.add(highRiskNeoDTO);
                }
            }
        }

        return highRiskNeoDTOS;
    }

}

